### Method

# AppStream Icon get_name

#### Declaration [src]

    const gchar*
    as_icon_get_name (
      AsIcon* icon
    )

#### Description

No description available.

#### Return value

Type: `const gchar*`

The stock name of the icon. In case the icon is not of kind “stock”, the basename of the icon filename or URL is returned.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.